Skip to main content
`Ctrl`+`K`

# DMSetMatrixStructureOnly

When `DMCreateMatrix()` is called, the matrix nonzero structure will be created but the array for numerical values will not be allocated.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetMatrixStructureOnly(DM dm, PetscBool only)

Logically Collective

## Input Parameters

- dm - the `DM`

- only - `PETSC_TRUE` if you only want matrix nonzero structure

## See Also

DM Basics, `DM`, `DMCreateMatrix()`, `DMSetMatrixPreallocateOnly()`, `DMSetMatrixPreallocateSkip()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages